root/main/trunk/gli/READMEen.txt @ 32285

Revision 17986, 2.0 KB (checked in by kjdon, 11 years ago)

changed CVS to SVN

  • Property svn:keywords set to Author Date Id Revision
Line 
1The Greenstone Librarian Interface
2----------------------------------
3
4This folder contains the Greenstone Librarian Interface (GLI), a tool to
5assist you with building digital libraries using Greenstone. The GLI gives
6you access to Greenstone's functionality from an easy-to-use, 'point and
7click' interface.
8
9To use the GLI, you need a suitable version of the Java Runtime Environment
10(version 1.4.0 or newer). If you don't already have one, you can download
11one from http://java.sun.com/j2se/downloads.html
12
13Note that the GLI is run in conjunction with Greenstone, and assumes that
14it is installed in a subdirectory of your Greenstone installation. If you
15have downloaded one of the Greenstone distributions, or installed from a
16Greenstone CD-ROM, this will be the case.
17
18
19-- Running the GLI under Windows --
20
21To run the GLI under Windows, browse to the GLI folder in your Greenstone
22installation (using Windows Explorer), and double-click on the gli.bat
23file. This file will check that Greenstone, Perl, and the Java Runtime
24Environment are installed, then start the Greenstone Librarian Interface.
25
26
27-- Running the GLI under Unix --
28
29To run the GLI under Unix, change to the GLI directory in your Greenstone
30installation, then run the gli.sh script. This script will check that
31Greenstone, Perl, and the Java Runtime Environment are installed (make sure
32they are on your search path), then start the Greenstone Librarian
33Interface.
34
35
36Please report any problems you have running or using the Librarian
37Interface to greenstone@cs.waikato.ac.nz.
38
39
40-- Compiling the GLI --
41
42If you have downloaded the Greenstone source distribution, or you have
43obtained the GLI via SVN, you will have the source code (Java) of the
44Librarian Interface. Compiling it requires a suitable version of the Java
45Software Development Kit (version 1.4.0 or newer). You can download one
46from http://java.sun.com/j2se/downloads.html
47
48To compile this source code, run the makegli.bat (Windows) or makegli.sh
49(Unix) files. Once this has been done, you can run the GLI using the
50instructions above.
Note: See TracBrowser for help on using the browser.